<!DOCTYPE html>
<html>
    <head>
        <title>bootstrap datepicker examples</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <!-- Bootstrap CSS and bootstrap datepicker CSS used for styling the demo pages-->
        <link rel="stylesheet" href="css/datepicker.css">
        <link rel="stylesheet" href="css/bootstrap.css">
    </head>
    <body>
        <div class="container">
            <div class="hero-unit">
                <div class="input-daterange" id="datepicker" >
                    <input type="text" class="input-small" name="start" />
                    <span class="add-on" style="vertical-align: top;height:20px">to</span>
                    <input type="text" class="input-small" name="end" />
                </div>
            </div>
        </div>
        <!-- Load jQuery and bootstrap datepicker scripts -->
        <script src="js/jquery-1.9.1.min.js"></script>
        <script src="js/bootstrap-datepicker.js"></script>
        <script type="text/javascript">
            // When the document is ready
            $(document).ready(function () {
                
                $('.input-daterange').datepicker({
                    todayBtn: "linked"
                });
            
            });
        </script>
    </body>
</html>

http://www.abritel.fr/annonces/location-vacances/france_languedoc-roussillon_34_castelnau%20le%20lez_dt0.php#calendar

http://macmicro.chez.com/framework/datepicker_sql.php

https://forum.jquery.com/topic/retrieve-date-from-database-php

http://www.eyecon.ro/datepicker/


https://github.com/bseth99/sandbox/blob/master/projects/jquery-ui/4-jquery-ui-datepicker-range.html

http://keith-wood.name/datepick.HTML


http://www.emirplicanic.com/javascript/jquery-ui-highlight-multiple-dates-in-jquery-datepicker

beforeShowDay: function(date) { return [true,
'taclassespeciale' ]; }

http://stevethomas.com.au/jquery/jquery-datepicker-ajax-request-to-highlight-days-from-mysql.html



var dates = ["7-3-2013","7-4-2013","7-5-2013"];

function verifier(date){

var m = date.getMonth(), d = date.getDate(), y = date.getFullYear();
 for(var i=0; i<dates.length; i++){
 if(dates[i] == m + "-" + d + "-" + y)
 return [false];
 }
 return [true];
}

beforeShowDay: verifier

http://www.phpeveryday.com/articles/jQuery-UI-AJAX-JSON-Datepicker-P1029.html

return [true, 'css-for-DBdates', 'Planned date'];


http://multidatespickr.sourceforge.net/



$('#whatever').datepicker({
            beforeShowDay: function(date) {
             if (date == myDate) {
              return [true, 'css-class-to-highlight', 'tooltipText'];

              }
           }
});




<script>
$(document).ready(function() {

    var dates = ['22/01/2012', '23/01/2012']; //
            //tips are optional but good to have
    var tips  = ['some description','some other description'];      

    $('#datepicker').datepicker({                
        dateFormat: 'dd/mm/yy',
        beforeShowDay: highlightDays,
        showOtherMonths: true,
        numberOfMonths: 3,
    });

    function highlightDays(date) {
        for (var i = 0; i < dates.length; i++) {
            if (new Date(dates[i]).toString() == date.toString()) {              
                return [true, 'highlight', tips[i]];
            }
        }
        return [true, ''];
     } 

});
</script>
The HTML part:

<div id="datepicker"></div>


